Bug 178128 - crash on startup KeyError: 136
crash on startup KeyError: 136
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
5
noarch Linux
medium Severity high
: ---
: ---
Assigned To: Jim Parsons
Jim Parsons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-17 16:41 EST by Neal Becker
Modified: 2008-01-23 13:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-23 13:12:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2006-01-17 16:41:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux) KHTML/3.5.0 (like Gecko)

Description of problem:
system-config-lvm 
Traceback (most recent call last): 
  File "/usr/share/system-config-lvm/system-config-lvm.py", line 138, in ? 
    runFullGUI() 
  File "/usr/share/system-config-lvm/system-config-lvm.py", line 123, in 
runFullGUI 
    blvm = baselvm(glade_xml, app) 
  File "/usr/share/system-config-lvm/system-config-lvm.py", line 73, in 
__init__ 
    self.volume_tab_view = Volume_Tab_View(glade_xml, self.lvmm, 
self.main_win) 
  File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 151, in 
__init__ 
    self.prepare_tree() 
  File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 232, in 
prepare_tree 
    self.model_factory.reload() 
  File "/usr/share/system-config-lvm/lvm_model.py", line 168, in reload 
    self.__set_PVs_props() 
  File "/usr/share/system-config-lvm/lvm_model.py", line 853, in 
__set_PVs_props 
    pv.set_properties(self.__get_data_for_PV(pv, pvs_output)) 
  File "/usr/share/system-config-lvm/lvm_model.py", line 866, in 
__get_data_for_PV 
    partition_type = PARTITION_IDs[part.id] 
KeyError: 136 
 

Version-Release number of selected component (if applicable):
system-config-lvm-1.0.10-1.0

How reproducible:
Always

Steps to Reproduce:
1. system-config-lvm 
2. 
3. 
   

Additional info:
Comment 1 Stanko Kupcevic 2006-02-03 13:28:09 EST
Could you post an output of

sfdisk -uS -l /dev/sda

for all your hard drives. It would help me debug it.
Comment 2 Neal Becker 2006-02-03 13:37:06 EST
sbin/sfdisk -uS -l /dev/hda 
 
Disk /dev/hda: 155061 cylinders, 16 heads, 63 sectors/track 
Warning: extended partition does not start at a cylinder boundary. 
DOS and Linux will interpret the contents differently. 
Warning: The partition table looks like it was made 
  for C/H/S=*/255/63 (instead of 155061/16/63). 
For this listing I'll assume that geometry. 
Units = sectors of 512 bytes, counting from 0 
 
   Device Boot    Start       End   #sectors  Id  System 
/dev/hda1   *        63  39086144   39086082   7  HPFS/NTFS 
/dev/hda2     155878695 156296384     417690  88  Linux plaintext 
                start: (c,h,s) expected (1023,254,63) found (1023,0,1) 
/dev/hda3      39086145  39294989     208845  83  Linux 
/dev/hda4      39294990 155878694  116583705   5  Extended 
/dev/hda5      39295053 155878694  116583642  8e  Linux LVM 
 
Comment 3 Stanko Kupcevic 2006-02-03 14:26:16 EST
The problem is that partition id 0x88 (136) is not a standard partition id. 

Will add it to the list, and mark other nonstandard ones as "unknown". 
Comment 4 Neal Becker 2006-02-03 14:31:14 EST
OK 
This is brand-new HP dv8000.  Came with some strange windoze partitioning with 
some sort of "hidden" partition.  I had to screw around with it - not really 
sure how it got this way. 
Comment 5 Stanko Kupcevic 2006-02-03 14:36:55 EST
Fixed in 1.0.11

Please verify
Comment 6 David Lawrence 2006-07-17 23:02:39 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.
Comment 7 Matthew Miller 2007-04-06 13:00:20 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]

Note You need to log in before you can comment on or make changes to this bug.